curl --request GET \
--url https://api.chainstack.com/v1/nodes/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "ND-123-456-789",
"name": "My Polygon PoS archive node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.0.6",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug",
"parlia"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "[email protected]",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
]
}List all nodes in the networks your organization is part of.
curl --request GET \
--url https://api.chainstack.com/v1/nodes/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "ND-123-456-789",
"name": "My Polygon PoS archive node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.0.6",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug",
"parlia"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "[email protected]",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
]
}Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Which field to use when ordering the results.
Use the - prefix to perform descending ordering (-name).
name, created_at A page number within the paginated result set.
Filter by project ID.
Filter by organization ID.
Filter by network ID.
Filter by the region the node is deployed to. Regions the nodes are deployed to.
Available for gcloud:
asia-southeast1Available for aws:
ap-southeast-1us-west-2us-east-1Available for azure:
uksouthAvailable for vzo:
eu3asia-southeast1, ap-southeast-1, us-west-2, us-east-1, uksouth, eu3 Filter by the cloud provider of the node.
Cloud provider.
See also Supported cloud providers.
aws, azure, gcloud, vzo Filter by protocol.
Protocol.
See also Supported protocols.
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, harmony, tezos, fuse, bitcoin Filter by node role.
Role of the node.
Available roles:
peer — peer nodepeer Filter by node type.
Type of the node.
Available types:
shared — only for ethereum, polygon-pos, bsc, avalanche, fantom, tezos, bitcoindedicated — for all protocolsshared, dedicated Filter Ethereum, Polygon PoS, Binance Smart Chain, Avalanche, Fantom, and Tezos nodes by the archive mode flag.
Filter by public network.
ethereum-mainnet, ethereum-ropsten-testnet, ethereum-rinkeby-testnet, polygon-pos-mainnet, polygon-pos-testnet, bsc-mainnet, bsc-testnet, avalanche-mainnet, avalanche-testnet, arbitrum-mainnet, arbitrum-goerli, near-mainnet, near-testnet, aurora-mainnet, aurora-testnet, gnosis-mainnet, gnosis-testnet, cronos-mainnet, cronos-testnet, fantom-mainnet, fantom-testnet, starknet-mainnet, starknet-testnet, harmony-mainnet, harmony-devnet, tezos-mainnet, tezos-testnet, fuse-mainnet, fuse-testnet, bitcoin-mainnet, bitcoin-testnet "corda-network-uat"
Filter by name.
Filter by project type.
Type of the project.
public for public chain projectpublic Number of the objects in the paginated results.
123
Link to the next page.
Link to the previous page.
Show child attributes
Name of the node.
ID of the network.
ID of the organization that owns this node.
Type of the node.
Available types:
shared — only for ethereum, polygon-pos, bsc, avalanche, fantom, tezos, bitcoindedicated — for all protocolsshared, dedicated Cloud provider.
See also Supported cloud providers.
aws, azure, gcloud, vzo Regions the nodes are deployed to.
Available for gcloud:
asia-southeast1Available for aws:
ap-southeast-1us-west-2us-east-1Available for azure:
uksouthAvailable for vzo:
eu3asia-southeast1, ap-southeast-1, us-west-2, us-east-1, uksouth, eu3 Protocol-specific attributes.
Show child attributes
See also Ethereum node modes
full, archive Only for the owner of the node.
Only for the owner of the node.
Only for the owner of the node.
Only for the owner of the node.
Basic authentication username to access the node endpoints.
Only for the owner of the node.
Basic authentication password to access the node endpoints.
Only for the owner of the node.
Authentication key to access the node endpoints.
Only for the owner of the node.
Creator of the network.
Show child attributes
When the node was created.
Role of the node.
Available roles:
peer — peer nodepeer Ethereum node configuration.
Show child attributes
Pass true if you want to access full blockchain data and an archive of historical states.
See more about archive nodes.
Was this page helpful?